Skip to main content
GET
/
bulk_requests
List bulk requests
curl --request GET \
  --url https://api.endclose.com/v1/bulk_requests \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "id": 123,
      "source": "<string>",
      "total_items": 123,
      "processed_items": 123,
      "successful_items": 123,
      "failed_items": 123,
      "skipped_items": 123,
      "progress": 123,
      "filename": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "last_progress_at": "2023-11-07T05:31:56Z",
      "cancellation_requested_at": "2023-11-07T05:31:56Z",
      "parsing": true,
      "stuck": true,
      "error_message": "<string>",
      "error_details": {},
      "parent_bulk_request_id": 123,
      "data_stream_id": 123
    }
  ],
  "next_cursor": "<string>",
  "limit": 123
}

Documentation Index

Fetch the complete documentation index at: https://endclose.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

data_stream_key
string

Filter to bulk requests targeting this data stream

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
source
string

Filter by request source (e.g. bulk_api, csv, nacha)

created_after
string<date-time>

ISO8601 lower bound on created_at

created_before
string<date-time>

ISO8601 upper bound on created_at

cursor
string

Opaque cursor returned by a previous call's next_cursor. Omit for the first page.

limit
integer
default:50
Required range: 1 <= x <= 200

Response

Paginated bulk requests

data
object[]
next_cursor
string | null

Pass back as cursor to fetch the next page. Null when no more pages.

limit
integer